import React from "react";
import Tile from "../shared/Tile";
import useHealthPolling from "../../hooks/useHealthPolling";

const rollbotHealth = "https://kirkleon.ddns.net/rollbot/health";
const update = 1000 * 60 * 20;

export default () => {
  const health = useHealthPolling(rollbotHealth, { ms: update })

  return <Tile
    link="https://kirkleon.ddns.net/gogs/kirkleon/rollbot3"
    title="Rollbot"
    health={health}
  />
}
